html {
  font-size: 14px;
}

.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
    .bd-placeholder-img-lg {
        font-size: 3.5rem;
    }

    .h-md-250 {
        height: 250px;
    }
}

@media print {
    #printpagebutton {
        display:none;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.blog-header-logo {
    font-family: "Playfair Display", Georgia, "Times New Roman", serif /*rtl:Amiri, Georgia, "Times New Roman", serif*/;
    font-size: 2.25rem;
}

    .blog-header-logo:hover {
        text-decoration: none;
    }

h1, h2, h3, h4, h5, h6 {
    font-family: "Playfair Display", Georgia, "Times New Roman", serif /*rtl:Amiri, Georgia, "Times New Roman", serif*/;
}

.flex-auto {
    flex: 0 0 auto;
}

/* Pagination */
.blog-pagination {
    margin-bottom: 4rem;
}

/*
 * Blog posts
 */
.blog-post {
    margin-bottom: 4rem;
}

.blog-post-meta {
    margin-bottom: 1.25rem;
    color: #727272;
}

.code {
    background-color: black;
    height: 300px;
    overflow: auto;
    white-space: nowrap;
    color:white;
}

.sqlcode {
    background-color: white;
    height: 300px;
    overflow: auto;
    white-space: nowrap;
    color: black;
}

.ps {
    background-color: white;
    height: 110px;
    overflow: auto;
    font-weight:bold;
    white-space: nowrap;
    color: black;
}

/* Comments */
font.a {
    color:#438a55;
}

/* imports and logic statements */
font.b {
    color: #a586c0;
}

/* class identifiers */
font.c {
    color: #4ec9a2;
}

/* system key words */
font.d {
    color: #569ccb;
}

/* functions */
font.e {
    color: #dcdcaa;
}

/* brackets and parenthesis */
font.f {
    color: #ffd70a;
}

/* variables */
font.g {
    color: #8cdcfe;
}

/* text */
font.h {
    color: #ce916a;
}

/* CSS Battle Orange */
font.i {
    color: #ffad5c;
}

/* CSS Battle Purple */
font.j {
    color: #9a86fd;
}

/* CSS Battle Grey */
font.k {
    color: #8782a1;
}

/* SQL system keyword*/
font.l {
    color: #0000FF;
}

/* SQL function */
font.m {
    color: #FF00FF;
}

/* SQL text */
font.n {
    color: #FD3400;
}

/* SQL comment */
font.o {
    color: #008000;
}

/* SQL Logic Operators */
font.p {
    color: #808080;
}

.bi {
    vertical-align: -.125em;
    fill: currentColor;
}

.scrolltweak {
    border: thin solid silver;
}

.scrolltweak::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

.scrolltweak::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.04);
}

.scrolltweak::-webkit-scrollbar-thumb {
    background: #438a55;
}

/* powershell system command */
font.ps_a {
    color: #3800ff;
}

/* powershell variable or module name */
font.ps_b {
    color: #8a2be2;
}

/* powershell text */
font.ps_c {
    color: #85574f;
}

/* powershell parameter names */
font.ps_d {
    color: #3322a7;
}

.articlePrintButton {
    margin: 0 15px 0 0
}

.svg-inline--fa {
    display: inline-block;
    font-size: inherit;
    width: 24px;
    height: 24px;
    overflow: visible;
    vertical-align: -0.125em
}

.skillsBanner{
    height:60px;
    padding-top:10px;
}

.in-15{
    margin:0 0 0 15px;
}

#headerBuffer{
    height:80px;
}

li.ani:after {
    display: block;
    content: '';
    opacity: 0;
    border-bottom: solid 2px black;
    transform: scaleX(0);
    transition: opacity 350ms, transform 250ms ease-in-out;
}

li.ani:hover:after {
    opacity: 1;
    transform: scaleX(1)
}

li.ani.animate01:after {
    transform-origin: 0%50%
}

/* CUSTOMIZE THE CAROUSEL
-------------------------------------------------- */

/* Carousel base class */
.carousel {
    margin-bottom: 4rem;
}
/* Since positioning the image, we need to help out the caption */
.carousel-caption {
    bottom: 3rem;
    z-index: 10;
}

/* Declare heights because of positioning of img element */
.carousel-item {
    height: 32rem;
}


/* MARKETING CONTENT
-------------------------------------------------- */

/* Center align the text within the three columns below the carousel */
.marketing .col-lg-4 {
    margin-bottom: 1.5rem;
    text-align: center;
}
    /* rtl:begin:ignore */
    .marketing .col-lg-4 p {
        margin-right: .75rem;
        margin-left: .75rem;
    }
/* rtl:end:ignore */


/* Featurettes
------------------------- */

.featurette-divider {
    margin: 5rem 0; /* Space out the Bootstrap <hr> more */
}

/* Thin out the marketing headings */
/* rtl:begin:remove */
.featurette-heading {
    letter-spacing: -.05rem;
}

/* rtl:end:remove */

/* RESPONSIVE CSS
-------------------------------------------------- */

@media (min-width: 40em) {
    /* Bump up size of carousel content */
    .carousel-caption p {
        margin-bottom: 1.25rem;
        font-size: 1.25rem;
        line-height: 1.4;
    }

    .featurette-heading {
        font-size: 50px;
    }
}

@media (min-width: 62em) {
    .featurette-heading {
        margin-top: 7rem;
    }
}